/*
*******************************************************************************
**
**  This device driver was created by Applilet for the 78K0S/KB1+, 78K0S/KA1+,
**  78K0S/KY1+,78K0S/KU1+ 8-Bit Single-Chip Microcontrollers
**
**  Copyright(C) NEC Electronics Corporation 2002-2006
**  All rights reserved by NEC Electronics Corporation.
**
**  This program should be used on your own responsibility.
**  NEC Electronics Corporation  assumes no responsibility for any losses
**  incurred by customers or third parties arising from the use of this file.
**
**  Filename :	timer_user.c
**  Abstract :	This file implements device driver for the timer module.
**  APIlib:	NEC78K0SKX1+.lib V1.70 [7 Dec. 2006]
**
**  Device :	uPD78F9222
**
**  Compiler :	NEC/CC78K0
**
*******************************************************************************
*/

#pragma interrupt  INTTM000 MD_INTTM000
/*
*******************************************************************************
**  Include files
*******************************************************************************
*/
#include "macrodriver.h"
#include "timer.h"


/*
*******************************************************************************
**  MacroDefine
*******************************************************************************
*/

/*
**-----------------------------------------------------------------------------
**
**  Abstract:
**	This function is TM00 INTTM000 interrupt service routine.
**	
**  Parameters:
**	None
**
**  Returns:
**	None
**
**-----------------------------------------------------------------------------
*/
#include "ad.h"

extern	int		ondo_10;
extern	int		ondo_1;
extern	int		ondo_f;

unsigned short	ad_data;		/* ADł̎擾l			*/


__interrupt void MD_INTTM000( )
{
int		keisan;

	/* TODO */
	AD_Read(&ad_data);
	
	if(ad_data>760){ondo_10=12;ondo_1=13;ondo_f=1;}
	if((ad_data<=760)&&(ad_data>435)){
		keisan=ad_data/10;
		keisan=76-keisan;
		ondo_10=keisan/10;ondo_1=keisan-(ondo_10*10);ondo_f=0;
	}
	if((ad_data<=435)&&(ad_data>291)){
		keisan=ad_data/8;
		keisan=87-keisan;
		ondo_10=keisan/10;ondo_1=keisan-(ondo_10*10);ondo_f=0;
	}
	if(ad_data<=291){ondo_10=10;ondo_1=11;ondo_f=1;}
}
